Bug 1851205 (AusweisApp2) - Review Request: AusweisApp2 - Online identification with German ID card (Personalausweis)
Summary: Review Request: AusweisApp2 - Online identification with German ID card (Pers...
Keywords:
Status: CLOSED ERRATA
Alias: AusweisApp2
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-25 18:53 UTC by Björn 'besser82' Esser
Modified: 2020-10-05 17:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-21 01:10:52 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2020-06-25 18:53:55 UTC
Description:

  The AusweisApp2 is a software to identify yourself online
  with your ID card (Personalausweis) or your electronic
  residence permit (Aufenthalts- / Niederlassungserlaubis).

  The AusweisApp2 also offers you an integrated self-assessment
  in which you are able to view your data that is stored on the
  online ID.


Issues:

  fedora-review shows no obvious issues.
  rpmlint emits some non-critical warnings.


FAS-User:

  besser82


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/blob/master/f/AusweisApp2.spec
  SRPM URL:  https://pagure.io/besser82/package-review/blob/master/f/AusweisApp2-1.20.1-0.1.fc33.src.rpm


Scratch build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=46152262


Additional Information:

  The EUPL 1.2 license is currently under review by fedora-legal.  [1]
  Build may take up to 20 minutes, depending on your CPU and RAM.


Thanks for review in advance!


[1]  https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/LZQ4SRN6L5JWEDKL23K4CXDG7TJWFTLF/

Comment 1 Björn 'besser82' Esser 2020-06-25 19:53:56 UTC
=== Updated package ===

Changelog:

  * Thu Jun 25 2020 Björn Esser <besser82@fedoraproject.org> - 1.20.1-0.2
  - Adaptions for building on EPEL


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/blob/master/f/AusweisApp2.spec
  SRPM URL:  https://pagure.io/besser82/package-review/blob/master/f/AusweisApp2-1.20.1-0.2.fc33.src.rpm


Scratch build:

  Rawhide:  https://koji.fedoraproject.org/koji/taskinfo?taskID=46155735
  EPEL8:    https://koji.fedoraproject.org/koji/taskinfo?taskID=46155737

Comment 2 Björn 'besser82' Esser 2020-06-25 20:33:31 UTC
=== Updated package ===

Changelog:

  * Thu Jun 25 2020 Björn Esser <besser82@fedoraproject.org> - 1.20.1-0.3
  - Use ninja-build instead of GNU Make to speed up the build a bit


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/blob/master/f/AusweisApp2.spec
  SRPM URL:  https://pagure.io/besser82/package-review/blob/master/f/AusweisApp2-1.20.1-0.3.fc33.src.rpm


Scratch build:

  Rawhide:  https://koji.fedoraproject.org/koji/taskinfo?taskID=46158165
  EPEL8:    https://koji.fedoraproject.org/koji/taskinfo?taskID=46158009

Comment 4 Björn 'besser82' Esser 2020-06-25 22:03:21 UTC
=== Updated package ===

Changelog:

  * Thu Jun 25 2020 Björn Esser <besser82@fedoraproject.org> - 1.20.1-0.4
  - Use a macro for lowercase package name


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2-1.20.1-0.4.fc33.src.rpm


Scratch build:

  Rawhide:  https://koji.fedoraproject.org/koji/taskinfo?taskID=46161110
  EPEL8:    https://koji.fedoraproject.org/koji/taskinfo?taskID=46161112

Comment 5 Björn 'besser82' Esser 2020-06-25 23:33:07 UTC
=== Updated package ===

Changelog:

  * Thu Jun 25 2020 Björn Esser <besser82@fedoraproject.org> - 1.20.1-0.5
  - Add generated man-page


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2-1.20.1-0.5.fc33.src.rpm


Scratch build:

  Rawhide:  https://koji.fedoraproject.org/koji/taskinfo?taskID=46161533
  EPEL8:    https://koji.fedoraproject.org/koji/taskinfo?taskID=46161535

Comment 6 Björn 'besser82' Esser 2020-06-26 00:24:37 UTC
=== Updated package ===

Changelog:

  * Thu Jun 25 2020 Björn Esser <besser82@fedoraproject.org> - 1.20.1-0.6
  - Use '--help-all' option when generating man-page
  - Split build of Doxygen API docs from building user docs


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2-1.20.1-0.6.fc33.src.rpm


Scratch build:

  Rawhide:  https://koji.fedoraproject.org/koji/taskinfo?taskID=46162604
  EPEL8:    https://koji.fedoraproject.org/koji/taskinfo?taskID=46162606

Comment 7 Björn 'besser82' Esser 2020-06-26 07:51:32 UTC
=== Updated package ===

Changelog:

  * Fri Jun 26 2020 Björn Esser <besser82@fedoraproject.org> - 1.20.1-0.7
  - Make sure permissions of the documentation files are correct
  - Remove hidden files in documentation
  - Drop 'LICENSE.officially.txt', as it only applies to binary copies,
    which are distributed on behalf of the federal government of Germany


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2-1.20.1-0.7.fc33.src.rpm


Scratch build:

  Rawhide:  https://koji.fedoraproject.org/koji/taskinfo?taskID=46184240
  EPEL8:    https://koji.fedoraproject.org/koji/taskinfo?taskID=46184244

Comment 8 Björn 'besser82' Esser 2020-06-26 10:44:22 UTC
=== Updated package ===

Changelog:

  * Fri Jun 26 2020 Björn Esser <besser82@fedoraproject.org> - 1.20.1-0.8
  - Ensure archful packages always require equal architecture


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2-1.20.1-0.8.fc33.src.rpm


Scratch build:

  Rawhide:  https://koji.fedoraproject.org/koji/taskinfo?taskID=46194548
  EPEL8:    https://koji.fedoraproject.org/koji/taskinfo?taskID=46194554

Comment 9 Björn 'besser82' Esser 2020-06-26 11:05:50 UTC
=== Updated package ===

Changelog:

  * Fri Jun 26 2020 Björn Esser <besser82@fedoraproject.org> - 1.20.1-0.9
  - Also obsolete package with %%{name} previous to this package version


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2-1.20.1-0.9.fc33.src.rpm


Scratch build:

  Rawhide:  https://koji.fedoraproject.org/koji/taskinfo?taskID=46195564
  EPEL8:    https://koji.fedoraproject.org/koji/taskinfo?taskID=46195580

Comment 10 Robert-André Mauchin 🐧 2020-06-30 09:22:03 UTC
 - AUTHORS should be included as %doc, not %license


LGTM, should be approved after Spot clears the license.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[Probably]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 2546 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/AusweisApp2/review-
     AusweisApp2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     AusweisApp2-data
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: # %%define with lazy expansion
     is used here intentionally, because, %define __spec_install_post
     %{?__debug_package:%{__debug_install_post}} %{__arch_install_post}
     %{__os_install_post} bindir="%{buildroot}%{_bindir}"
     fipsdir="%{buildroot}%{_libdir}/fipscheck" mkdir -p "$fipsdir"
     fipshmac -d "$fipsdir" "$bindir/%{name}" %{nil}
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 190259200 bytes in /usr/share
     AusweisApp2-doc-api-1.20.1-0.9.fc33.x86_64.rpm:190197760
     See:
     https://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Comment 11 Björn 'besser82' Esser 2020-07-04 10:54:20 UTC
=== Updated package ===

Changelog:

  * Sat Jul 04 2020 Björn Esser <besser82@fedoraproject.org> - 1.20.1-0.10
  - Add license text in English language


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/AusweisApp2-1.20.1-0.10.fc33.src.rpm


Scratch build:

  Rawhide:  https://koji.fedoraproject.org/koji/taskinfo?taskID=46565229
  EPEL8:    https://koji.fedoraproject.org/koji/taskinfo?taskID=46565243

Comment 12 Björn 'besser82' Esser 2020-08-19 15:42:21 UTC
Lifting FE-Legal as per [1] EUPL v1.2 is confirmed to be a "good" license.

[1]  https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/message/B4P7Z5TDWMXEZYGGZEAQ7APPOQVKIKNF/

Comment 13 Robert-André Mauchin 🐧 2020-08-19 16:44:17 UTC
Again:

 - AUTHORS should be included as %doc, not %license


Package approved, please fix this before import.

Comment 14 Gwyn Ciesla 2020-08-19 17:02:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/AusweisApp2

Comment 15 Fedora Update System 2020-08-19 18:07:30 UTC
FEDORA-2020-5ebe8ea9fb has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5ebe8ea9fb

Comment 16 Fedora Update System 2020-08-19 18:17:32 UTC
FEDORA-EPEL-2020-0c4a8e2bde has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0c4a8e2bde

Comment 17 Björn 'besser82' Esser 2020-08-19 18:24:33 UTC
FEDORA-2020-0796d826d6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0796d826d6

Comment 18 Fedora Update System 2020-08-20 01:48:55 UTC
FEDORA-2020-0796d826d6 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-0796d826d6 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0796d826d6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-08-20 01:52:56 UTC
FEDORA-EPEL-2020-0c4a8e2bde has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0c4a8e2bde

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2020-08-20 02:02:03 UTC
FEDORA-2020-5ebe8ea9fb has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-5ebe8ea9fb \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5ebe8ea9fb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2020-08-21 01:10:52 UTC
FEDORA-2020-5ebe8ea9fb has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2020-08-21 20:21:47 UTC
FEDORA-2020-0796d826d6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0796d826d6

Comment 23 Fedora Update System 2020-08-21 20:38:12 UTC
FEDORA-EPEL-2020-0c4a8e2bde has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0c4a8e2bde

Comment 24 Fedora Update System 2020-08-22 00:57:55 UTC
FEDORA-2020-0796d826d6 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-0796d826d6 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0796d826d6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 25 Fedora Update System 2020-08-22 01:50:47 UTC
FEDORA-EPEL-2020-0c4a8e2bde has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0c4a8e2bde

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 26 Fedora Update System 2020-08-24 00:29:39 UTC
FEDORA-EPEL-2020-0c4a8e2bde has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Fedora Update System 2020-08-24 01:06:06 UTC
FEDORA-2020-0796d826d6 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 28 Fedora Update System 2020-08-25 08:48:57 UTC
FEDORA-EPEL-2020-93bcbe0dab has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-93bcbe0dab

Comment 29 Fedora Update System 2020-08-26 15:25:30 UTC
FEDORA-EPEL-2020-93bcbe0dab has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-93bcbe0dab

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 30 Fedora Update System 2020-08-27 15:16:00 UTC
FEDORA-EPEL-2020-93bcbe0dab has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.